Get authentication context
curl --request GET \
--url https://api.onkernel.com/auth/context \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onkernel.com/auth/context"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onkernel.com/auth/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authentication": {
"credential_id": "<string>"
},
"authorization": {
"credential_scope": {
"project_id": "<string>"
},
"effective_scope": {
"project_id": "<string>"
}
},
"organization": {
"id": "<string>"
},
"principal": {
"id": "<string>"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Authentication
Get authentication context
Returns the authenticated principal, organization, credential scope, and effective request scope. The response is derived from the verified request context and does not expose credential secrets.
GET
/
auth
/
context
Get authentication context
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Authentication context for the current request
The identity and authorization context resolved for the current request.
Show child attributes
Show child attributes
The credential's maximum scope and the effective scope selected for this request. Future permission data can be added without changing scope semantics.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I